describe('Basic login test', () => {

  //
  // The next block contains a test that works perfectly when the other test in
  //  this file is commented-out. But if both tests are enabled, the *other*
  //  test fails for some reason.
  // This might be related to the obscure test setup: We're ensuring, that
  //  cypress tries to visit an external URL, and fails (due to an invalid
  //  access to a page outside of our main domain). We're then ensuring that
  //  we have caused the correct error in a custom error-handler we're
  //  installing using `cy.on('fail)`.
  // I'm guessing that cypress fails to clean up any of the unvconventional
  //  installations in here, and messes up its internal state. So I'll just
  //  leave this here as a reference in case someone else manages to figure this
  //  out.
  //
  // it('fails to load unless logged in', () => {
  //   let interceptedRequest: boolean = false;
  //   cy.on('fail', (e) => {
  //     if (!interceptedRequest) {
  //       console.error('ERROR!', e)
  //       throw e;
  //     }
  //   })
  //   const ssoUri = Cypress.env('SSO_URI');
  //   cy.intercept(`${ssoUri.replace(/\/$/, '')}/**`, (request) => {
  //     interceptedRequest = true;
  //     request.reply('irrelevant response stub');
  //   }).as('loginPage');
  //   cy.visit('/', {
  //     retryOnNetworkFailure: false,
  //     retryOnStatusCodeFailure: false,
  //   });
  // });

  it('visits the app root url when logged in', () => {
    cy.login();
    cy.visit('/');
    cy.get('main.listView').should('have.length.above', 0);
  });

});
